Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 23560 - Delay initialization of nodes in not visible explorers
Delay initialization of nodes in not visible explorers
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Jaroslav Tulach
issues@platform
: PERFORMANCE
Depends on: 23558
Blocks: 21676
  Show dependency treegraph
 
Reported: 2002-05-15 18:13 UTC by Jaroslav Tulach
Modified: 2008-12-22 17:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-05-15 18:13:29 UTC
During investigating why classes are loaded at
startup I have found that Runtime tab
initialization causes load of all root's subnodes
even if the tab is not visible.

Please fix by using TopComponent.componentShowing
Comment 1 Jaroslav Tulach 2002-05-17 07:54:41 UTC
NbMainExplorer.java
new revision: 1.101; previous revision: 1.100
Comment 2 Marian Mirilovic 2005-07-12 09:03:53 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo